function save_options() {
    var listedNames = document.getElementById('names').value.split(',');
    chrome.storage.local.set({
        names: listedNames
    }, function() {
        var status = document.getElementById('status');
        status.textContent = 'Options saved.';
        setTimeout(function() {
            status.textContent = '';
        }, 750);
    });
}

function restore_options() {
    chrome.storage.local.get({
        names: []
    }, function(items) {
        document.getElementById('names').value = items.names.join(',');
    });
}
document.addEventListener('DOMContentLoaded', restore_options);
document.getElementById('save').addEventListener('click',
    save_options);